Bug 535472 - (RHQ-2163) create an augeus abstract plugin so all plugins like hosts, apt, openssh can extend it and not have their own libs
create an augeus abstract plugin so all plugins like hosts, apt, openssh can ...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Sudhir D
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 10:39 EDT by John Mazzitelli
Modified: 2009-07-26 02:22 EDT (History)
0 users

See Also:
Fixed In Version: 1.3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-06-17 10:39:00 EDT
I think if we have one abstract augeus plugin, it will limit the number of jna / augeuas jars that are needed
Comment 1 John Mazzitelli 2009-06-17 16:38:49 EDT
might want to push this concept further and have a jna abstract  plugin which augeas extends which in turn is extended by apt,grub,hosts,opensshd...
Comment 2 John Mazzitelli 2009-06-17 18:44:21 EDT
new augeas abstract plugin is in - apt, grub, hosts, sshd plugin now depend on it
Comment 3 Jeff Weiss 2009-07-02 12:22:23 EDT
needsReproSteps
Comment 4 John Mazzitelli 2009-07-02 13:18:28 EDT
this is actually more of a code change than anything.

what this did was create a new plugin jar "augeas-plugin.jar" that the other four now depend on.

If you really want to test, just run the server and in the startup server log messages, find where it detects the plugins and make sure the "Augeas" plugin is deployed in front of the hosts, apt, openssh and grub plugins.

Or just look in rhq-plugins/ directory in the .ear and you will see an augeas plugin jar file.
Comment 5 Sudhir D 2009-07-26 02:22:32 EDT
This has been verified with the plugin package built from the community plugin packages. A basic sanity has also been done post addition of this plugin.
Comment 6 Red Hat Bugzilla 2009-11-10 15:59:04 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2163

Note You need to log in before you can comment on or make changes to this bug.